Transponieren von Blasinstrumenten-Stimmungen (Version 2.7)

Mit diesem Skript wird die Stimmung eines einstimmigen Blasinstruments direkt in die Stimmung eines anderen Blasinstruments transponiert.

Die Notenzeile des entsprechenden Instruments wird entweder in der Partitur durch Cursor-Positionierung vorgewählt oder im Dialog ausgewählt.

Für "klingend notierte" Hörner stehen zwei "Hörner in C" im Violin- und im Bassschlüssel zur Verfügung.

Obwohl alle Posaunen mit Bassschlüssel nicht transponierend erklingen, steht eine "Posaune in C" zur Verfügung, um Unsicherheiten in dieser Frage zu umgehen.

Bei der Transposition können auf Wunsch die Tonartvorzeichnungen für Orchester-Instrumente - wie Trompeten, Hörner und Pauken - automatisch entfernt werden. Diese Instrumentenstimmungen ohne Tonartvorzeichnungen, d.h. mit Vorzeichen direkt vor den entsprechenden Noten, können aber nicht in Instrumentenstimmungen mit Tonartvorzeichnungen umgewandelt werden, da eine eventuell vorhandene Chromatik keinen eindeutigen Rückschluss auf die Grundtonart ermöglicht.

Anmerkungen:

- ..Unterstützt sind Violin-, Bass- und Tenor-Schlüssel (letzterer nur für die Tenorposaune)

- ..Entsprechende Wechsel der Schlüssel und Oktavierungen werden automatisch durchgeführt

- ..Noten oberhalb des Tonumfangs des entsprechenden Zielinstruments werden in rot angezeigt

- ..Noten unterhalb des Tonumfangs des entsprechenden Zielinstruments werden in blau angezeigt

- ..Auf Wunsch werden die Noten außerhalb des Tonumfangs automatisch um eine Oktave "zurück" transponiert

- ..Um alle farbigen Noten für einen Druck wieder zu schwärzen, bitte "Alles markieren" (Strg+A) und dann

...."Format - Farbe (Noten, Grafik)... - Farbe - Schwarz - OK".

- ..Eventuelles Bezeichnen der Notenzeilen muss im capella-Mustersystem vorgenommen werden

- ..Eventuelles Anpassen der Bindebögen (dabei muss der Cursor in der neuen Notenzeile stehen):

...."Format - Transponieren - Cursorzeile in allen Systemen - Bindebögen - Anpassen ohne Transposition"

- ..Die notwendige Vorspiel-Transposition wird im Mustersystem jeweils automatisch vorgenommen

- ..Falls nur oktaviert werden soll, muss in beiden Dialogfeldern dasselbe Instrument ausgewählt werden

- ..Standarmäßig werden maximal 6 Tonartvorzeichen verwendet - auf Wunsch aber bis zu 7

- ..Die "schweizer Notierung" mit Violinschlüssel für Posaunen, Baritons und Tubas wird unterstützt

Autor dieses Skripts: Hans H. Lampe

Rückmeldungen per eMail bitte an: HansHermann.Lampe@t-online.de